com.tibbo.aggregate.common.datatable.encoding

## Class XMLEncodingSettings

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.encoding.EncodingSettings
  - - com.tibbo.aggregate.common.datatable.encoding.XMLEncodingSettings

-     public class XMLEncodingSettings
      extends EncodingSettings

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLEncodingSettings(boolean encodeFormat)`
    `XMLEncodingSettings(boolean encodeFormat, TableFormat format)`
    `XMLEncodingSettings(boolean encodeFormat, TableFormat format, boolean getFormatFromDefaultValue, FieldFormat fieldFormat)`
    `XMLEncodingSettings(boolean encodeFormat, TableFormat format, boolean getFormatFromDefaultValue, FieldFormat fieldFormat, java.util.ResourceBundle bundle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ResourceBundle` | `getBundle()`
    `FieldFormat` | `getFieldFormat()`
    `boolean` | `isAllFields()`
    `boolean` | `isGetFormatFromDefaultValue()`
    `void` | `setAllFields(boolean allFields)`
    `void` | `setBundle(java.util.ResourceBundle bundle)`
    `void` | `setFieldFormat(FieldFormat fieldFormat)`
    `void` | `setGetFormatFromDefaultValue(boolean getFormatFromDefaultValue)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.encoding.EncodingSettings

      `getFormat, isEncodeFormat, setEncodeFormat, setFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLEncodingSettings

          public XMLEncodingSettings(boolean encodeFormat)

    - #### XMLEncodingSettings

          public XMLEncodingSettings(boolean encodeFormat,
                                     TableFormat format)

    - #### XMLEncodingSettings

          public XMLEncodingSettings(boolean encodeFormat,
                                     TableFormat format,
                                     boolean getFormatFromDefaultValue,
                                     FieldFormat fieldFormat)

    - #### XMLEncodingSettings

          public XMLEncodingSettings(boolean encodeFormat,
                                     TableFormat format,
                                     boolean getFormatFromDefaultValue,
                                     FieldFormat fieldFormat,
                                     java.util.ResourceBundle bundle)

  - ### Method Detail

    - #### setFieldFormat

          public void setFieldFormat(FieldFormat fieldFormat)

    - #### getFieldFormat

          public FieldFormat getFieldFormat()

    - #### isGetFormatFromDefaultValue

          public boolean isGetFormatFromDefaultValue()

    - #### setGetFormatFromDefaultValue

          public void setGetFormatFromDefaultValue(boolean getFormatFromDefaultValue)

    - #### getBundle

          public java.util.ResourceBundle getBundle()

    - #### setBundle

          public void setBundle(java.util.ResourceBundle bundle)

    - #### isAllFields

          public boolean isAllFields()

    - #### setAllFields

          public void setAllFields(boolean allFields)